Toolset mapping admin API Resource

WS for toolsets mapping

GET /admin/toolsetmapping/class

Get list of class toolset mappings

Try it out!

Response Body
media type data type description
application/json array of ClassToolsetMappingItem (JSON) JSON with list of users

Example of response:

{"list":[{"clasId":"10","toolset":{"id":"952","objectName":"Red Intense","style":{"stroke-opacity":"1","id":"952","stroke-width":"0.1","fill":"#FF0000","stroke":"#FF0000","fill-opacity":"0.6"}}}]}

DELETE /admin/toolsetmapping/class/{classId}

Unassign toolset from class

Try it out!

Request Parameters
name type description default constraints
classId path   long
Response Body
media type data type description
application/json HdcSuccessTO (JSON) JSON response with information if unassignment was successful or not

GET /admin/toolsetmapping/dictionary/{dictionaryId}

Get list of toolsets for dictionary

Try it out!

Request Parameters
name type description default constraints
dictionaryId path ID of dictionary   long
Response Body
media type data type description
application/json object (JSON) JSON with list of toolsets mappings

Example of response:

{"list":[{"itemId":"KOMMUNIKATION","itemValue":"KOMMUNIKATION","toolset":{"id":"952","objectName":"Red Intense","style":{"stroke-opacity":"1","id":"952","stroke-width":"0.1","fill":"#FF0000","stroke":"#FF0000","fill-opacity":"0.6"}}}]}

POST /admin/toolsetmapping/class/{classId}/{toolsetId}

Assign toolset to class

Try it out!

Request Parameters
name type description default constraints
classId path   long
toolsetId path   long
Response Body
media type data type description
application/json HdcSuccessTO (JSON) JSON response with information if assignment was successful or not

DELETE /admin/toolsetmapping/dictionary/{dictId}/{dictItemId}

Unassign toolset from dictionary field

Try it out!

Request Parameters
name type description default constraints
dictId path   long
dictItemId path    
Response Body
media type data type description
application/json HdcSuccessTO (JSON) JSON response with information if unassignment was successful or not

POST /admin/toolsetmapping/dictionary/{dictId}/{dictItemId}/{toolsetId}

Assign toolset to dictionary field

Try it out!

Request Parameters
name type description default constraints
dictId path   long
dictItemId path    
toolsetId path   long
Response Body
media type data type description
application/json HdcSuccessTO (JSON) JSON response with information if assignment was successful or not